<?php $__env->startSection('title', 'Payment Settings '); ?>

<?php $__env->startSection('content'); ?>

<div class="content-area py-1">
    <div class="container-fluid">
        <div class="box box-block bg-white">
            <form action="<?php echo e(route('admin.settings.payment.store')); ?>" method="POST">
                <?php echo e(csrf_field()); ?>

                <h5><?php echo app('translator')->get('admin.payment.payment_modes'); ?></h5>
                <div class="card card-block card-inverse card-primary">
                    <blockquote class="card-blockquote">
                        <i class="fa fa-3x fa-cc-stripe pull-right"></i>
                        <div class="form-group row">
                            <div class="col-xs-4">
                                <label for="stripe_secret_key" class="col-form-label">
                                    <?php echo app('translator')->get('admin.payment.card_payments'); ?>
                                </label>
                            </div>
                            <div class="col-xs-6">
                                <input <?php if(Setting::get('CARD') == 1): ?> checked  <?php endif; ?>  name="CARD" id="stripe_check" onchange="cardselect()" type="checkbox" class="js-switch" data-color="#43b968">
                            </div>
                        </div>
                        <div id="card_field" <?php if(Setting::get('CARD') == 0): ?> style="display: none;" <?php endif; ?>>
                            <div class="form-group row">
                                <label for="stripe_secret_key" class="col-xs-4 col-form-label"><?php echo app('translator')->get('admin.payment.stripe_secret_key'); ?></label>
                                <div class="col-xs-8">
                                    <input class="form-control" type="text" value="<?php echo e(Setting::get('stripe_secret_key', '')); ?>" name="stripe_secret_key" id="stripe_secret_key"  placeholder="Stripe Secret key">
                                </div>
                            </div>
                            <div class="form-group row">
                                <label for="stripe_publishable_key" class="col-xs-4 col-form-label"><?php echo app('translator')->get('admin.payment.stripe_publishable_key'); ?></label>
                                <div class="col-xs-8">
                                    <input class="form-control" type="text" value="<?php echo e(Setting::get('stripe_publishable_key', '')); ?>" name="stripe_publishable_key" id="stripe_publishable_key"  placeholder="Stripe Publishable key">
                                </div>
                            </div>
                        </div>
                    </blockquote>
                </div>

                <div class="card card-block card-inverse card-primary">
                    <blockquote class="card-blockquote">
                        <i class="fa fa-3x fa-money pull-right"></i>
                        <div class="form-group row">
                            <div class="col-xs-4">
                                <label for="cash-payments" class="col-form-label">
                                   <?php echo app('translator')->get('admin.payment.cash_payments'); ?> 
                                </label>
                            </div>
                            <div class="col-xs-6">
                                <input <?php if(Setting::get('CASH') == 1): ?> checked  <?php endif; ?> name="CASH" id="cash-payments" onchange="cardselect()" type="checkbox" class="js-switch" data-color="#43b968">
                            </div>
                        </div>
                    </blockquote>
                </div>
                <h5><?php echo app('translator')->get('admin.payment.payment_settings'); ?></h5>

                <div class="card card-block card-inverse card-info">
                    <blockquote class="card-blockquote">
                        <div class="form-group row">
                            <label for="daily_target" class="col-xs-4 col-form-label"><?php echo app('translator')->get('admin.payment.daily_target'); ?></label>
                            <div class="col-xs-8">
                                <input class="form-control" 
                                    type="number"
                                    value="<?php echo e(Setting::get('daily_target', '0')); ?>"
                                    id="daily_target"
                                    name="daily_target"
                                    min="0"
                                    required
                                    placeholder="Daily Target">
                            </div>
                        </div>

                        <div class="form-group row">
                            <label for="tax_percentage" class="col-xs-4 col-form-label"><?php echo app('translator')->get('admin.payment.tax_percentage'); ?></label>
                            <div class="col-xs-8">
                                <input class="form-control"
                                    type="number"
                                    value="<?php echo e(Setting::get('tax_percentage', '0')); ?>"
                                    id="tax_percentage"
                                    name="tax_percentage"
                                    min="0"
                                    max="100"
                                    placeholder="Tax Percentage">
                            </div>
                        </div>

                        <div class="form-group row">
                            <label for="surge_trigger" class="col-xs-4 col-form-label"><?php echo app('translator')->get('admin.payment.surge_trigger_point'); ?></label>
                            <div class="col-xs-8">
                                <input class="form-control"
                                    type="number"
                                    value="<?php echo e(Setting::get('surge_trigger', '')); ?>"
                                    id="surge_trigger"
                                    name="surge_trigger"
                                    min="0"
                                    required
                                    placeholder="Surge Trigger Point">
                            </div>
                        </div>

                        <div class="form-group row">
                            <label for="surge_percentage" class="col-xs-4 col-form-label"><?php echo app('translator')->get('admin.payment.surge_percentage'); ?></label>
                            <div class="col-xs-8">
                                <input class="form-control"
                                    type="number"
                                    value="<?php echo e(Setting::get('surge_percentage', '0')); ?>"
                                    id="surge_percentage"
                                    name="surge_percentage"
                                    min="0"
                                    max="100"
                                    placeholder="Surge percentage">
                            </div>
                        </div>

                       

                        <div class="form-group row">
                            <label for="provider_commission_percentage" class="col-xs-4 col-form-label"><?php echo app('translator')->get('admin.payment.admin_percentage'); ?></label>
                            <div class="col-xs-8">
                                <input class="form-control"
                                    type="number"
                                    value="<?php echo e(Setting::get('provider_commission_percentage', '0')); ?>"
                                    id="provider_commission_percentage"
                                    name="provider_commission_percentage"
                                    min="0"
                                    max="100"
                                    placeholder="Provider Commission Percentage">
                            </div>
                        </div>

                        <div class="form-group row">
                            <label for="booking_prefix" class="col-xs-4 col-form-label"><?php echo app('translator')->get('admin.payment.booking_id_prefix'); ?></label>
                            <div class="col-xs-8">
                                <input class="form-control"
                                    type="text"
                                    value="<?php echo e(Setting::get('booking_prefix', '0')); ?>"
                                    id="booking_prefix"
                                    name="booking_prefix"
                                    min="0"
                                    max="4"
                                    placeholder="Booking ID Prefix">
                            </div>
                        </div>

                        <div class="form-group row">
                            <label for="base_price" class="col-xs-4 col-form-label"><?php echo app('translator')->get('admin.payment.currency'); ?>
                                 ( <strong><?php echo e(Setting::get('currency', '$')); ?> </strong>)
                            </label>
                            <div class="col-xs-8">
                                <select name="currency" class="form-control" required>
                                    <option <?php if(Setting::get('currency') == "$"): ?> selected <?php endif; ?> value="$">US Dollar (USD)</option>
                                    <option <?php if(Setting::get('currency') == "₹"): ?> selected <?php endif; ?> value="₹"> Indian Rupee (INR)</option>
                                    <option <?php if(Setting::get('currency') == "د.ك"): ?> selected <?php endif; ?> value="د.ك">Kuwaiti Dinar (KWD)</option>
                                    <option <?php if(Setting::get('currency') == "د.ب"): ?> selected <?php endif; ?> value="د.ب">Bahraini Dinar (BHD)</option>
                                    <option <?php if(Setting::get('currency') == "﷼"): ?> selected <?php endif; ?> value="﷼">Omani Rial (OMR)</option>
                                    <option <?php if(Setting::get('currency') == "£"): ?> selected <?php endif; ?> value="£">British Pound (GBP)</option>
                                    <option <?php if(Setting::get('currency') == "€"): ?> selected <?php endif; ?> value="€">Euro (EUR)</option>
                                    <option <?php if(Setting::get('currency') == "CHF"): ?> selected <?php endif; ?> value="CHF">Swiss Franc (CHF)</option>
                                    <option <?php if(Setting::get('currency') == "ل.د"): ?> selected <?php endif; ?> value="ل.د">Libyan Dinar (LYD)</option>
                                    <option <?php if(Setting::get('currency') == "B$"): ?> selected <?php endif; ?> value="B$">Bruneian Dollar (BND)</option>
                                    <option <?php if(Setting::get('currency') == "S$"): ?> selected <?php endif; ?> value="S$">Singapore Dollar (SGD)</option>
                                    <option <?php if(Setting::get('currency') == "AU$"): ?> selected <?php endif; ?> value="AU$"> Australian Dollar (AUD)</option>
                                    <option <?php if(Setting::get('currency') == "MYR"): ?> selected <?php endif; ?> value="AU$"> Malaysian Ringgit (MYR)</option>

                                </select>
                            </div>
                        </div>

                        <div class="form-group row">
                            <label for="eta_discount" class="col-xs-4 col-form-label"><?php echo app('translator')->get('admin.payment.eta_discount',['currency' => Setting::get('currency', '$')]); ?></label>
                            <div class="col-xs-8">
                                <input class="form-control"
                                    type="text"
                                    value="<?php echo e(Setting::get('eta_discount', '0')); ?>"
                                    id="eta_discount"
                                    name="eta_discount"
                                    min="0"
                                    placeholder="Eta Discount">
                            </div>
                        </div>
                    </blockquote>
                </div>

                <div class="form-group row">
                    <div class="col-xs-4">
                        <a href="<?php echo e(route('admin.index')); ?>" class="btn btn-warning btn-block"><?php echo app('translator')->get('admin.back'); ?></a>
                    </div>
                    <div class="offset-xs-4 col-xs-4">
                        <button type="submit" class="btn btn-primary btn-block"><?php echo app('translator')->get('admin.payment.update_site_settings'); ?></button>
                    </div>
                </div>
            </form>
        </div>
    </div>
</div>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('scripts'); ?>
<script type="text/javascript">
function cardselect()
{
    if($('#stripe_check').is(":checked")) {
        $("#card_field").fadeIn(700);
    } else {
        $("#card_field").fadeOut(700);
    }
}
</script>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('admin.layout.base', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>